import Counter from "@/islands/Counter.tsx";
import { Page } from "@/components/Page.tsx";

export default function Home() {
  return (
    <Page>
      <img
        src="/logo.svg"
        class="w-32 h-32"
        alt="the fresh logo: a sliced lemon dripping with juice"
      />
      <Counter start={3} />
    </Page>
  );
}
